# 以 E-access 形式连接 无需管理连接的 C 标签信息即可访问 Equinix Fabric 上的网络服务。 ![](https://docs.equinix.com/zh-Hans/assets/images/e-access-overview-7f470b80c8b64fa546f9e1ea0727d3dc.png) ## 先决条件[​](#先决条件 "直接链接至先决条件") 1. 验证-提交您的用户凭据,客户端ID和客户端机密以进行OAuth2验证。有关如何致电OAuth API以验证和验证您的凭据的说明,请参阅[API验证](https://docs.equinix.com/zh-Hans/equinix-api/api-authentication.md)。 2. 使用[获取所有端口](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/ports/getports.md)端点获取相关端口信息。具体而言,端口需要满足以下标准: * 聚合来自不同客户端的流量的端口必须使用QINQ封装。 * 聚合来自不同客户端的流量的端口只能分配给其他`ACCESS_EPL_VC`类型的连接。 * 客户端端口必须是EPL端口,除非处于状态,否则无法将其分配给任何其他连接`DEPROVISIONED`。 ## 创建连接 - QINQ端口到EPL端口[​](#创建连接---qinq端口到epl端口 "直接链接至创建连接 - QINQ端口到EPL端口") 要创建从QinQ端口到EPL端口的e-access连接,请向端点发送`POST`请求[`/fabric/v4/connections`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。在请求正文中指定连接的配置详情。 | | **发布/fabric/v4/connections** | | -------- | ------------------------------------------------------------------------------------------------ | | 方法 | `POST` | | 端点 | `/fabric/v4/connections` | | 标题 | `Authorization`,`Content-Type` | | 路径参数 | 不适用 | | 查询参数 | 不适用 | | 身体参数 | `type`,`name`,`order` `redundancy` `bandwidth`,,`aSide`,`zSide`,`project`,`notifications` | 在不创建连接的情况下在Production[中](https://docs.equinix.com/zh-Hans/equinix-api/testing/testing-in-production-dry-run.md)安全验证此请求,请参阅[在Production中测试(API Dry Run)](https://docs.equinix.com/zh-Hans/equinix-api/testing/testing-in-production-dry-run.md)。 cURL 请求示例: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "type": "ACCESS_EPL_VC",     "name": "Conn-1",     "order": {         "purchaseOrderNumber": "1-129105284100"     },     "bandwidth": 50,     "redundancy": {         "priority": "PRIMARY"     },     "aSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "3312101f-5bd0-43d5-b21a-d442b35816a5"             },             "linkProtocol": {                 "type": "QINQ",                 "vlanSTag": 1001             }         }     },     "zSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "ca655bb1-cca0-ca01-75e0-306a5c00ae38"             }         }     },     "project": {           "projectId": 568     },     "notifications": [         {             "type": "ALL",             "emails": [                 "test@equinix.com"             ]         }     ] }' ``` 请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见[API参考手册](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。 示例回答: ``` {     "type": "ACCESS_EPL_VC",     "href": "https://api.equinix.com/fabric/v4/connections/eb45d323-5281-44dc-842b-c19a15ac837f",     "uuid": "eb45d323-5281-44dc-842b-c19a15ac837f",     "name": "Conn-1",     "state": "PROVISIONING",     "operation": {         "providerStatus": "NOT_AVAILABLE",         "equinixStatus": "PROVISIONING"     },     "order": {         "purchaseOrderNumber": "1-129105284100",         "billingTier": "Up to 50 Mbps"     },     "notifications": [         {             "type": "ALL",             "emails": [                 "test@equinix.com"             ]         }     ],     "project": {           "projectId": 568     },     "account": {         "accountNumber": 272235,         "orgId": 91604,         "globalOrgId": "0016u000003JZ6HAAW"     },     "changeLog": {         "createdBy": "EPL-account01-user",         "createdDateTime": "2022-03-26T11:07:47.325Z"     },     "bandwidth": 50,     "redundancy": {         "group": "5c0e9384-aa79-4ec9-b7a2-557f8c307292",         "priority": "PRIMARY"     },     "isRemote": false,     "direction": "INTERNAL",     "aSide": {         "accessPoint": {             "type": "COLO",             "account": {                 "accountNumber": 272235,                 "orgId": 91604,                 "organizationName": "EPL-account01",                 "globalOrgId": "0016u000003JZ6HAAW"             },             "location": {                 "href": "https://api.equinix.com/fabric/v4/metros/DA",                 "region": "AMER",                 "metroName": "Dallas",                 "metroCode": "DA"             },             "port": {                 "href": "https://api.equinix.com/fabric/v4/ports/3312101f-5bd0-43d5-b21a-d442b35816a5",                 "uuid": "3312101f-5bd0-43d5-b21a-d442b35816a5",                 "name": "272235-DA1-CX-Primary-01"             },             "linkProtocol": {                 "type": "QINQ",                 "vlanSTag": 689,                 "vlanCTag": 0             }         }     },     "zSide": {         "accessPoint": {             "type": "COLO",             "account": {                 "accountNumber": 272235,                 "orgId": 91604,                 "organizationName": "EPL-account01",                 "globalOrgId": "0016u000003JZ6HAAW"             },             "location": {                 "href": "https://api.equinix.com/fabric/v4/metros/DA",                 "region": "AMER",                 "metroName": "Dallas",                 "metroCode": "DA"             },             "port": {                 "href": "https://api.equinix.com/fabric/v4/ports/ca655bb1-cca0-ca01-75e0-306a5c00ae38",                 "uuid": "ca655bb1-cca0-ca01-75e0-306a5c00ae38",                 "name": "EPL-account01-DA1-NL-EPL-STD-SEC-10G-NK-28"             },             "linkProtocol": {                 "type": "UNTAGGED"             }         }     } } ``` 响应负载包括在请求正文中定义的配置参数。有关可能参数及其说明的完整列表,请参阅[API参考手册](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。 ## 创建连接 - EPL端口到QINQ端口[​](#创建连接---epl端口到qinq端口 "直接链接至创建连接 - EPL端口到QINQ端口") 要创建从EPL端口到QinQ端口的e-access连接,请向端点发送`POST`请求[`/fabric/v4/connections`](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。在请求正文中指定连接的配置详情。 cURL 请求示例: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "type": "ACCESS_EPL_VC",     "name": "Conn-1",     "order": {         "purchaseOrderNumber": "1-129105284100"     },     "bandwidth": 50,     "redundancy": {         "priority": "PRIMARY"     },     "aSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"             }         }     },     "zSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"             },             "linkProtocol": {                 "type": "QINQ",                 "vlanSTag": 1001             }         }     },     "project": {           "projectId": 568     },     "notifications": [         {             "type": "ALL",             "emails": [                 "test@equinix.com",                 "test@equinix.com"             ]         }     ] }' ``` 请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见[API参考手册](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/createconnection.md)。 ## 监控连接[​](#监控连接 "直接链接至监控连接") 使用[获取指定的连接](https://docs.equinix.com/zh-Hans/api-catalog/fabricv4/connections/getconnectionbyuuid.md)端点监控连接状态。